const ie = "ui-skeleton", oe = (
  /* ui-skeleton */
  { hydratedSelectorName: "hydrated" }
);
var $e = Object.defineProperty, ce = (e, t) => {
  for (var r in t)
    $e(e, r, { get: t[r], enumerable: !0 });
}, N = /* @__PURE__ */ new WeakMap(), b = (e) => N.get(e), Je = (e, t) => N.set(t.$lazyInstance$ = e, t), ue = (e, t) => {
  const r = {
    $flags$: 0,
    $hostElement$: e,
    $cmpMeta$: t,
    $instanceValues$: /* @__PURE__ */ new Map()
  };
  return r.$onReadyPromise$ = new Promise((s) => r.$onReadyResolve$ = s), e["s-p"] = [], e["s-rc"] = [], N.set(e, r);
}, E = (e, t) => (0, console.error)(e, t), L = /* @__PURE__ */ new Map(), fe = (e, t, r) => {
  const s = e.$tagName$.replace(/-/g, "_"), n = e.$lazyBundleId$;
  if (!n)
    return;
  const a = L.get(n);
  if (a)
    return a[s];
  {
    const l = (i) => (L.set(n, i), i[s]);
    switch (n) {
      case "ui-skeleton":
        return import(
          /* webpackMode: "lazy" */
          "../stencil/ui-skeleton-fEyshHrf.js"
        ).then(l, E);
    }
  }
  return import(
    /* @vite-ignore */
    /* webpackInclude: /\.entry\.js$/ */
    /* webpackExclude: /\.system\.entry\.js$/ */
    /* webpackMode: "lazy" */
    `./${n}.entry.js`
  ).then((l) => (L.set(n, l), l[s]), E);
}, T = /* @__PURE__ */ new Map(), de = "{visibility:hidden}.hydrated{visibility:inherit}", G = "slot-fb{display:contents}slot-fb[hidden]{display:none}", U = typeof window < "u" ? window : {}, y = U.document || { head: {} }, g = {
  $flags$: 0,
  $resourcesUrl$: "",
  jmp: (e) => e(),
  raf: (e) => requestAnimationFrame(e),
  ael: (e, t, r, s) => e.addEventListener(t, r, s),
  rel: (e, t, r, s) => e.removeEventListener(t, r, s),
  ce: (e, t) => new CustomEvent(e, t)
}, me = (e) => Promise.resolve(e), ve = /* @__PURE__ */ (() => {
  try {
    return new CSSStyleSheet(), typeof new CSSStyleSheet().replaceSync == "function";
  } catch {
  }
  return !1;
})(), O = !1, q = [], J = [], ge = (e, t) => (r) => {
  e.push(r), O || (O = !0, g.$flags$ & 4 ? B(A) : g.raf(A));
}, C = (e) => {
  for (let t = 0; t < e.length; t++)
    try {
      e[t](performance.now());
    } catch (r) {
      E(r);
    }
  e.length = 0;
}, A = () => {
  C(q), C(J), (O = q.length > 0) && g.raf(A);
}, B = (e) => me().then(e), he = /* @__PURE__ */ ge(J), D = {}, K = (e) => (e = typeof e, e === "object" || e === "function");
function Q(e) {
  var t, r, s;
  return (s = (r = (t = e.head) == null ? void 0 : t.querySelector('meta[name="csp-nonce"]')) == null ? void 0 : r.getAttribute("content")) != null ? s : void 0;
}
var pe = {};
ce(pe, {
  err: () => X,
  map: () => ye,
  ok: () => H,
  unwrap: () => Se,
  unwrapErr: () => be
});
var H = (e) => ({
  isOk: !0,
  isErr: !1,
  value: e
}), X = (e) => ({
  isOk: !1,
  isErr: !0,
  value: e
});
function ye(e, t) {
  if (e.isOk) {
    const r = t(e.value);
    return r instanceof Promise ? r.then((s) => H(s)) : H(r);
  }
  if (e.isErr) {
    const r = e.value;
    return X(r);
  }
  throw "should never get here";
}
var Se = (e) => {
  if (e.isOk)
    return e.value;
  throw e.value;
}, be = (e) => {
  if (e.isErr)
    return e.value;
  throw e.value;
}, S = (e, t = "") => () => {
}, ke = (e, t) => () => {
}, Ee = (e, t, ...r) => {
  let s = null, n = null, a = !1, l = !1;
  const i = [], o = (c) => {
    for (let u = 0; u < c.length; u++)
      s = c[u], Array.isArray(s) ? o(s) : s != null && typeof s != "boolean" && ((a = typeof e != "function" && !K(s)) && (s = String(s)), a && l ? i[i.length - 1].$text$ += s : i.push(a ? I(null, s) : s), l = a);
  };
  if (o(r), t) {
    t.key && (n = t.key);
    {
      const c = t.className || t.class;
      c && (t.class = typeof c != "object" ? c : Object.keys(c).filter((u) => c[u]).join(" "));
    }
  }
  const $ = I(e, null);
  return $.$attrs$ = t, i.length > 0 && ($.$children$ = i), $.$key$ = n, $;
}, I = (e, t) => {
  const r = {
    $flags$: 0,
    $tag$: e,
    $text$: t,
    $elm$: null,
    $children$: null
  };
  return r.$attrs$ = null, r.$key$ = null, r;
}, we = {}, xe = (e) => e && e.$tag$ === we, Pe = (e, t) => e != null && !K(e) ? t & 4 ? e === "false" ? !1 : e === "" || !!e : t & 2 ? parseFloat(e) : t & 1 ? String(e) : e : e, Te = (e, t, r) => {
  const s = g.ce(t, r);
  return e.dispatchEvent(s), s;
}, F = /* @__PURE__ */ new WeakMap(), _e = (e, t, r) => {
  let s = T.get(e);
  ve && r ? (s = s || new CSSStyleSheet(), typeof s == "string" ? s = t : s.replaceSync(t)) : s = t, T.set(e, s);
}, je = (e, t, r) => {
  var s;
  const n = Z(t), a = T.get(n);
  if (e = e.nodeType === 11 ? e : y, a)
    if (typeof a == "string") {
      e = e.head || e;
      let l = F.get(e), i;
      if (l || F.set(e, l = /* @__PURE__ */ new Set()), !l.has(n)) {
        {
          i = y.createElement("style"), i.innerHTML = a;
          const o = (s = g.$nonce$) != null ? s : Q(y);
          o != null && i.setAttribute("nonce", o), e.insertBefore(i, e.querySelector("link"));
        }
        t.$flags$ & 4 && (i.innerHTML += G), l && l.add(n);
      }
    } else
      e.adoptedStyleSheets.includes(a) || (e.adoptedStyleSheets = [...e.adoptedStyleSheets, a]);
  return n;
}, Le = (e) => {
  const t = e.$cmpMeta$, r = e.$hostElement$, s = S("attachStyles", t.$tagName$);
  je(
    r.getRootNode(),
    t
  ), s();
}, Z = (e, t) => "sc-" + e.$tagName$, M = (e, t, r, s, n, a) => {
  if (r !== s && (t.toLowerCase(), t === "class")) {
    const l = e.classList, i = W(r), o = W(s);
    l.remove(...i.filter(($) => $ && !o.includes($))), l.add(...o.filter(($) => $ && !i.includes($)));
  }
}, Oe = /\s/, W = (e) => e ? e.split(Oe) : [], R = (e, t, r) => {
  const s = t.$elm$.nodeType === 11 && t.$elm$.host ? t.$elm$.host : t.$elm$, n = e && e.$attrs$ || D, a = t.$attrs$ || D;
  for (const l of Y(Object.keys(n)))
    l in a || M(s, l, n[l], void 0);
  for (const l of Y(Object.keys(a)))
    M(s, l, n[l], a[l]);
};
function Y(e) {
  return e.includes("ref") ? (
    // we need to sort these to ensure that `'ref'` is the last attr
    [...e.filter((t) => t !== "ref"), "ref"]
  ) : (
    // no need to sort, return the original array
    e
  );
}
var V, _ = (e, t, r, s) => {
  const n = t.$children$[r];
  let a = 0, l, i;
  if (n.$text$ !== null)
    l = n.$elm$ = y.createTextNode(n.$text$);
  else if (l = n.$elm$ = y.createElement(
    n.$tag$
  ), R(null, n), n.$children$)
    for (a = 0; a < n.$children$.length; ++a)
      i = _(e, n, a), i && l.appendChild(i);
  return l["s-hn"] = V, l;
}, ee = (e, t, r, s, n, a) => {
  let l = e, i;
  for (; n <= a; ++n)
    s[n] && (i = _(null, r, n), i && (s[n].$elm$ = i, P(l, i, t)));
}, te = (e, t, r) => {
  for (let s = t; s <= r; ++s) {
    const n = e[s];
    if (n) {
      const a = n.$elm$;
      a && a.remove();
    }
  }
}, Ae = (e, t, r, s, n = !1) => {
  let a = 0, l = 0, i = 0, o = 0, $ = t.length - 1, c = t[0], u = t[$], f = s.length - 1, d = s[0], m = s[f], v, h;
  for (; a <= $ && l <= f; )
    if (c == null)
      c = t[++a];
    else if (u == null)
      u = t[--$];
    else if (d == null)
      d = s[++l];
    else if (m == null)
      m = s[--f];
    else if (x(c, d, n))
      k(c, d, n), c = t[++a], d = s[++l];
    else if (x(u, m, n))
      k(u, m, n), u = t[--$], m = s[--f];
    else if (x(c, m, n))
      k(c, m, n), P(e, c.$elm$, u.$elm$.nextSibling), c = t[++a], m = s[--f];
    else if (x(u, d, n))
      k(u, d, n), P(e, u.$elm$, c.$elm$), u = t[--$], d = s[++l];
    else {
      for (i = -1, o = a; o <= $; ++o)
        if (t[o] && t[o].$key$ !== null && t[o].$key$ === d.$key$) {
          i = o;
          break;
        }
      i >= 0 ? (h = t[i], h.$tag$ !== d.$tag$ ? v = _(t && t[l], r, i) : (k(h, d, n), t[i] = void 0, v = h.$elm$), d = s[++l]) : (v = _(t && t[l], r, l), d = s[++l]), v && P(c.$elm$.parentNode, v, c.$elm$);
    }
  a > $ ? ee(
    e,
    s[f + 1] == null ? null : s[f + 1].$elm$,
    r,
    s,
    l,
    f
  ) : l > f && te(t, a, $);
}, x = (e, t, r = !1) => e.$tag$ === t.$tag$ ? r ? !0 : e.$key$ === t.$key$ : !1, k = (e, t, r = !1) => {
  const s = t.$elm$ = e.$elm$, n = e.$children$, a = t.$children$, l = t.$text$;
  l === null ? (R(e, t), n !== null && a !== null ? Ae(s, n, t, a, r) : a !== null ? (e.$text$ !== null && (s.textContent = ""), ee(s, null, t, a, 0, a.length - 1)) : n !== null && te(n, 0, n.length - 1)) : e.$text$ !== l && (s.data = l);
}, P = (e, t, r) => e?.insertBefore(t, r), He = (e, t, r = !1) => {
  const s = e.$hostElement$, n = e.$vnode$ || I(null, null), a = xe(t) ? t : Ee(null, null, t);
  if (V = s.tagName, r && a.$attrs$)
    for (const l of Object.keys(a.$attrs$))
      s.hasAttribute(l) && !["key", "ref", "style", "class"].includes(l) && (a.$attrs$[l] = s[l]);
  a.$tag$ = null, a.$flags$ |= 4, e.$vnode$ = a, a.$elm$ = n.$elm$ = s, k(n, a, r);
}, ne = (e, t) => {
  t && !e.$onRenderResolve$ && t["s-p"] && t["s-p"].push(new Promise((r) => e.$onRenderResolve$ = r));
}, z = (e, t) => {
  if (e.$flags$ |= 16, e.$flags$ & 4) {
    e.$flags$ |= 512;
    return;
  }
  return ne(e, e.$ancestorComponent$), he(() => Ie(e, t));
}, Ie = (e, t) => {
  const r = e.$hostElement$, s = S("scheduleUpdate", e.$cmpMeta$.$tagName$), n = e.$lazyInstance$;
  if (!n)
    throw new Error(
      `Can't render component <${r.tagName.toLowerCase()} /> with invalid Stencil runtime! Make sure this imported component is compiled with a \`externalRuntime: true\` flag. For more information, please refer to https://stenciljs.com/docs/custom-elements#externalruntime`
    );
  let a;
  return s(), Ne(a, () => Be(e, n, t));
}, Ne = (e, t) => Ue(e) ? e.then(t).catch((r) => {
  console.error(r), t();
}) : t(), Ue = (e) => e instanceof Promise || e && e.then && typeof e.then == "function", Be = async (e, t, r) => {
  var s;
  const n = e.$hostElement$, a = S("update", e.$cmpMeta$.$tagName$), l = n["s-rc"];
  r && Le(e);
  const i = S("render", e.$cmpMeta$.$tagName$);
  ze(e, t, n, r), l && (l.map((o) => o()), n["s-rc"] = void 0), i(), a();
  {
    const o = (s = n["s-p"]) != null ? s : [], $ = () => qe(e);
    o.length === 0 ? $() : (Promise.all(o).then($), e.$flags$ |= 4, o.length = 0);
  }
}, ze = (e, t, r, s) => {
  try {
    t = t.render(), e.$flags$ &= -17, e.$flags$ |= 2, He(e, t, s);
  } catch (n) {
    E(n, e.$hostElement$);
  }
  return null;
}, qe = (e) => {
  const t = e.$cmpMeta$.$tagName$, r = e.$hostElement$, s = S("postUpdate", t), n = e.$ancestorComponent$;
  e.$flags$ & 64 ? s() : (e.$flags$ |= 64, re(r), s(), e.$onReadyResolve$(r), n || se()), e.$onRenderResolve$ && (e.$onRenderResolve$(), e.$onRenderResolve$ = void 0), e.$flags$ & 512 && B(() => z(e, !1)), e.$flags$ &= -517;
}, se = (e) => {
  re(y.documentElement), B(() => Te(U, "appload", { detail: { namespace: ie } }));
}, re = (e) => {
  var t;
  return e.classList.add((t = oe.hydratedSelectorName) != null ? t : "hydrated");
}, Ce = (e, t) => b(e).$instanceValues$.get(t), De = (e, t, r, s) => {
  const n = b(e);
  if (!n)
    throw new Error(
      `Couldn't find host element for "${s.$tagName$}" as it is unknown to this Stencil runtime. This usually happens when integrating a 3rd party Stencil component with another Stencil component or application. Please reach out to the maintainers of the 3rd party Stencil component or report this on the Stencil Discord server (https://chat.stenciljs.com) or comment on this similar [GitHub issue](https://github.com/ionic-team/stencil/issues/5457).`
    );
  const a = n.$hostElement$, l = n.$instanceValues$.get(t), i = n.$flags$, o = n.$lazyInstance$;
  r = Pe(r, s.$members$[t][0]);
  const $ = Number.isNaN(l) && Number.isNaN(r), c = r !== l && !$;
  if ((!(i & 8) || l === void 0) && c && (n.$instanceValues$.set(t, r), o)) {
    if (s.$watchers$ && i & 128) {
      const u = s.$watchers$[t];
      u && u.map((f) => {
        try {
          o[f](r, l, t);
        } catch (d) {
          E(d, a);
        }
      });
    }
    (i & 18) === 2 && z(n, !1);
  }
}, le = (e, t, r) => {
  var s, n;
  const a = e.prototype;
  if (t.$members$ || t.$watchers$ || e.watchers) {
    e.watchers && !t.$watchers$ && (t.$watchers$ = e.watchers);
    const l = Object.entries((s = t.$members$) != null ? s : {});
    if (l.map(([i, [o]]) => {
      (o & 31 || r & 2 && o & 32) && Object.defineProperty(a, i, {
        get() {
          return Ce(this, i);
        },
        set($) {
          De(this, i, $, t);
        },
        configurable: !0,
        enumerable: !0
      });
    }), r & 1) {
      const i = /* @__PURE__ */ new Map();
      a.attributeChangedCallback = function(o, $, c) {
        g.jmp(() => {
          var u;
          const f = i.get(o);
          if (this.hasOwnProperty(f))
            c = this[f], delete this[f];
          else {
            if (a.hasOwnProperty(f) && typeof this[f] == "number" && this[f] == c)
              return;
            if (f == null) {
              const d = b(this), m = d?.$flags$;
              if (m && !(m & 8) && m & 128 && c !== $) {
                const v = d.$lazyInstance$, h = (u = t.$watchers$) == null ? void 0 : u[o];
                h?.forEach((p) => {
                  v[p] != null && v[p].call(v, c, $, o);
                });
              }
              return;
            }
          }
          this[f] = c === null && typeof this[f] == "boolean" ? !1 : c;
        });
      }, e.observedAttributes = Array.from(
        /* @__PURE__ */ new Set([
          ...Object.keys((n = t.$watchers$) != null ? n : {}),
          ...l.filter(
            ([o, $]) => $[0] & 15
            /* HasAttribute */
          ).map(([o, $]) => {
            const c = $[1] || o;
            return i.set(c, o), c;
          })
        ])
      );
    }
  }
  return e;
}, Fe = async (e, t, r, s) => {
  let n;
  if (!(t.$flags$ & 32)) {
    if (t.$flags$ |= 32, r.$lazyBundleId$) {
      const o = fe(r);
      if (o && "then" in o) {
        const c = ke();
        n = await o, c();
      } else
        n = o;
      if (!n)
        throw new Error(`Constructor for "${r.$tagName$}#${t.$modeName$}" was not found`);
      n.isProxied || (r.$watchers$ = n.watchers, le(
        n,
        r,
        2
        /* proxyState */
      ), n.isProxied = !0);
      const $ = S("createInstance", r.$tagName$);
      t.$flags$ |= 8;
      try {
        new n(t);
      } catch (c) {
        E(c);
      }
      t.$flags$ &= -9, t.$flags$ |= 128, $();
    } else {
      n = e.constructor;
      const o = e.localName;
      customElements.whenDefined(o).then(
        () => t.$flags$ |= 128
        /* isWatchReady */
      );
    }
    if (n && n.style) {
      let o;
      typeof n.style == "string" && (o = n.style);
      const $ = Z(r);
      if (!T.has($)) {
        const c = S("registerStyles", r.$tagName$);
        _e($, o, !!(r.$flags$ & 1)), c();
      }
    }
  }
  const a = t.$ancestorComponent$, l = () => z(t, !0);
  a && a["s-rc"] ? a["s-rc"].push(l) : l();
}, Me = (e) => {
}, We = (e) => {
  if (!(g.$flags$ & 1)) {
    const t = b(e), r = t.$cmpMeta$, s = S("connectedCallback", r.$tagName$);
    if (t.$flags$ & 1)
      t?.$lazyInstance$ || t?.$onReadyPromise$ && t.$onReadyPromise$.then(() => Me());
    else {
      t.$flags$ |= 1;
      {
        let n = e;
        for (; n = n.parentNode || n.host; )
          if (n["s-p"]) {
            ne(t, t.$ancestorComponent$ = n);
            break;
          }
      }
      r.$members$ && Object.entries(r.$members$).map(([n, [a]]) => {
        if (a & 31 && e.hasOwnProperty(n)) {
          const l = e[n];
          delete e[n], e[n] = l;
        }
      }), Fe(e, t, r);
    }
    s();
  }
}, Ye = (e) => {
}, Ge = async (e) => {
  if (!(g.$flags$ & 1)) {
    const t = b(e);
    t?.$lazyInstance$ || t?.$onReadyPromise$ && t.$onReadyPromise$.then(() => Ye());
  }
}, Ke = (e, t = {}) => {
  var r;
  const s = S(), n = [], a = t.exclude || [], l = U.customElements, i = y.head, o = /* @__PURE__ */ i.querySelector("meta[charset]"), $ = /* @__PURE__ */ y.createElement("style"), c = [];
  let u, f = !0;
  Object.assign(g, t), g.$resourcesUrl$ = new URL(t.resourcesUrl || "./", y.baseURI).href;
  let d = !1;
  if (e.map((m) => {
    m[1].map((v) => {
      var h;
      const p = {
        $flags$: v[0],
        $tagName$: v[1],
        $members$: v[2],
        $listeners$: v[3]
      };
      p.$flags$ & 4 && (d = !0), p.$members$ = v[2], p.$watchers$ = (h = v[4]) != null ? h : {};
      const w = p.$tagName$, ae = class extends HTMLElement {
        // StencilLazyHost
        constructor(j) {
          super(j), this.hasRegisteredEventListeners = !1, j = this, ue(j, p);
        }
        connectedCallback() {
          b(this), this.hasRegisteredEventListeners || (this.hasRegisteredEventListeners = !0), u && (clearTimeout(u), u = null), f ? c.push(this) : g.jmp(() => We(this));
        }
        disconnectedCallback() {
          g.jmp(() => Ge(this));
        }
        componentOnReady() {
          return b(this).$onReadyPromise$;
        }
      };
      p.$lazyBundleId$ = m[0], !a.includes(w) && !l.get(w) && (n.push(w), l.define(
        w,
        le(
          ae,
          p,
          1
          /* isElementConstructor */
        )
      ));
    });
  }), n.length > 0 && (d && ($.textContent += G), $.textContent += n.sort() + de, $.innerHTML.length)) {
    $.setAttribute("data-styles", "");
    const m = (r = g.$nonce$) != null ? r : Q(y);
    m != null && $.setAttribute("nonce", m), i.insertBefore($, o ? o.nextSibling : i.firstChild);
  }
  f = !1, c.length ? c.map((m) => m.connectedCallback()) : g.jmp(() => u = setTimeout(se, 30)), s();
};
export {
  we as H,
  Ke as b,
  Ee as h,
  me as p,
  Je as r
};
